parameters:
    kaiframework.base.class: Kaitek\Bundle\FrameworkBundle\Base\BaseService
    logout_target: /
services:
#    kaitek_framework.example:
#        class: Kaitek\Bundle\FrameworkBundle\Example
#        arguments: [@service_id, "plain_value", %parameter%]
    kaiframework.base:
        class: '%kaiframework.base.class%'
        abstract: true
        calls:
          - [setContainer, ['@service_container']]
    kaiframework.basecontroller:
        class: Kaitek\Bundle\FrameworkBundle\Controller\BaseController
        abstract: true
        calls:
          - [setContainer, ['@service_container']]
          - [setRequestStack, ['@request_stack']]
    kaiframework.servicecontroller:
        class: Kaitek\Bundle\FrameworkBundle\Controller\ServiceController
        arguments:
            - '@service_container'
    kaiframework.canonicalizer:
        class: FOS\UserBundle\Util\Canonicalizer
        public: true
    kaiframework.kernel.event_listener:
        class: Kaitek\Bundle\FrameworkBundle\EventListener\KaitekKernelEventListener
        arguments:
            - '@doctrine.orm.default_entity_manager'
        tags:
            - { name: kernel.event_listener, event: kernel.request, method: onKernelRequest }
            - { name: kernel.event_listener, event: kernel.response, method: onKernelResponse }
        parent: kaiframework.base
    kaiframework.doctrine.listener.:
        class: Kaitek\Bundle\FrameworkBundle\EventListener\DoctrineEventListener
        arguments: ['@service_container']
        tags:
          - { name: doctrine.event_listener, event: postUpdate }
          - { name: doctrine.event_listener, event: postPersist }
    #kaiframework.kernel.exception_listener:
    #    class: Kaitek\Bundle\FrameworkBundle\EventListener\ExceptionListener
    #    arguments:
    #        - '@doctrine.orm.default_entity_manager'
    #        - '@router'
    #    tags:
    #        - { name: kernel.event_listener, event: kernel.exception }
    #    parent: kaiframework.base
    kaiframework.loginsuccess.handler.service:
        class:  Kaitek\Bundle\FrameworkBundle\Handler\LoginSuccessHandler
        arguments:
            - '@security.http_utils'
            - '@doctrine.orm.default_entity_manager'
            - '@router'
            - '@security.authorization_checker'
            - '@service_container'
            - {}
    kaiframework.loginfailure.handler.service:
        class:  Kaitek\Bundle\FrameworkBundle\Handler\LoginFailureHandler
        arguments:
            - '@http_kernel'
            - '@security.http_utils'
            - '@doctrine.orm.default_entity_manager'
            - '@router'
            - '@security.authorization_checker'
            - '@service_container'
            - '@security.csrf.token_manager'
            - '@translator'
            - {}
    kaiframework.logoutsuccess.handler.service:
        class: Kaitek\Bundle\FrameworkBundle\Handler\LogoutSuccessHandler
        arguments:
            - '@security.http_utils'
            - '@security.token_storage'
            - '@doctrine.orm.default_entity_manager'
            - '@router'
            - '%logout_target%'
    kaiframework.logout.handler.service:
        class: Kaitek\Bundle\FrameworkBundle\Security\LogoutHandler
        arguments:
            - '@security.csrf.token_manager'
    kaiframework.menu_controller:
        class: Kaitek\Bundle\FrameworkBundle\Controller\MenuController
        parent: kaiframework.base
    #kaiframework.calendar:
    #    class: Kaitek\Bundle\FrameworkBundle\EventListener\CalendarEventListener
    #    tags:
    #        - { name: kernel.event_listener, event: calendar.before.persist, method: onEntityPrePersist }
    